<?php
/**
* @version	$Id: page_revision_tp.php 15165 2012-03-09 10:24:24Z alex $
* @package	In-Portal
* @copyright	Copyright (C) 1997 - 2011 Intechnic. All rights reserved.
* @license      GNU/GPL
* In-Portal is Open Source software.
* This means that this software may have been modified pursuant
* the GNU General Public License, and as distributed it includes
* or is derivative of works licensed under the GNU General Public License
* or other free or open source software licenses.
* See http://www.in-portal.org/license for copyright notices and details.
*/

defined('FULL_PATH') or die('restricted access!');

class PageRevisionTagProcessor extends kDBTagProcessor {

	function LastAutoSaveAgo($params)
	{
		$object = $this->getObject($params);
		/* @var $object kDBItem */

		$page_helper = $this->Application->recallObject('PageHelper');
		/* @var $page_helper PageHelper */

		return $page_helper->getAgoTime( $object->GetDBField('AutoSavedOn') );
	}
}
